Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032939
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-05-12 12:012016-06-21 14:48
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisionbd98ed6a1497
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032939: [SERQA 1303] It's not possible to add a payment to an order with negative outstanding amount

DescriptionThe "Add payment" button doesn't appear for orders with negative outstanding. This is caused because the where clause of the button has an auxiliar input that verifies if the order has outstanding amount greater than zero. Otherwise the button is not shown.
Steps To ReproduceGo to "Sales Order" window and select an order with a negative outstanding amount.
The "Add payment" button is not available for that order.
Proposed SolutionThe verification must check if the outstanding amount is distinct to zero.
TagsSER-QA
Attached Filesdiff file icon allowAddPayment.diff [^] (2,169 bytes) 2016-06-16 10:22 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0032959 closedaferraz Not possible to add more than one partial payment to a negative purchase order 

-  Notes
(0087405)
hgbot (developer)
2016-06-17 14:52

Repository: erp/devel/pi
Changeset: bd98ed6a14978b5b6495400c50724a0c93a6d557
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Jun 16 10:20:48 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bd98ed6a14978b5b6495400c50724a0c93a6d557 [^]

Fixed issue 32939: Impossible to add payment to order with negative outstanding

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_AUXILIARINPUT.xml
---
(0087406)
aferraz (developer)
2016-06-17 14:53

Code review + Testing OK
(0087728)
hudsonbot (developer)
2016-06-21 14:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7f9896fd81e9 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-12 12:01 asiermartirena New Issue
2016-05-12 12:01 asiermartirena Assigned To => Triage Finance
2016-05-12 12:01 asiermartirena File Added: allowAddPayment.diff
2016-05-12 12:01 asiermartirena Modules => Advanced Payables and Receivables Mngmt
2016-05-12 12:01 asiermartirena Triggers an Emergency Pack => No
2016-06-16 10:00 asiermartirena Summary It's not possible to add a payment to an order with negative outstanding amount => [SERQA 1303] It's not possible to add a payment to an order with negative outstanding amount
2016-06-16 10:00 asiermartirena Tag Attached: SER-QA
2016-06-16 10:22 asiermartirena File Deleted: allowAddPayment.diff
2016-06-16 10:22 asiermartirena File Added: allowAddPayment.diff
2016-06-16 12:47 psanjuan Relationship added has duplicate 0032959
2016-06-17 14:41 aferraz Assigned To Triage Finance => asiermartirena
2016-06-17 14:52 hgbot Checkin
2016-06-17 14:52 hgbot Note Added: 0087405
2016-06-17 14:52 hgbot Status new => resolved
2016-06-17 14:52 hgbot Resolution open => fixed
2016-06-17 14:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd98ed6a14978b5b6495400c50724a0c93a6d557 [^]
2016-06-17 14:53 aferraz Review Assigned To => aferraz
2016-06-17 14:53 aferraz Note Added: 0087406
2016-06-17 14:53 aferraz Status resolved => closed
2016-06-17 14:53 aferraz Fixed in Version => 3.0PR16Q3
2016-06-21 14:48 hudsonbot Checkin
2016-06-21 14:48 hudsonbot Note Added: 0087728


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker